Creates a new absence period.

Creates a new absence period.

Query Params
boolean
Defaults to false

If true, skip any approval that this write request would otherwise require.

Body Params
person
object
required

ID of a Person.

starts_from
object
required

This object represents the beginning of the absence period.

See the documentation of the AbsencePeriod response for a full description of these fields. In particular, note that:

  • the validity of a particular time range depends on the unit of the AbsenceType (hourly or daily)
  • The times should be local times in the timezone specified by the timezone_id field
  • No timezone offset should be included (e.g no "+00:00" or "Z" suffix)
ends_at
object | null

This object represents the end of the absence period. It may be null for periods which are ongoing and do not have a defined end. For example, ends_at will generally be unknown for long term sick leave.

string | null

A comment attached to this period.

absence_type
object
required

ID of an Absence Type.

substitute
object | null

The person who will be covering for the person taking this absence. This field is only meaningful if the policy of the absence type allows substitutes.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json